package com.hw.dms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 设备参数信息对象 dms_base_device_param
 *
 * @author xins
 * @date 2024-01-09
 */
public class DmsBaseDeviceParam extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long deviceParamId;

    /** 设备ID,关联dms_base_device_ledger的device_id */
    @Excel(name = "设备ID,关联dms_base_device_ledger的device_id")
    private Long deviceId;

    /** 参数编号 */
    @Excel(name = "参数编号")
    private String paramCode;

    /** 参数名称 */
    @Excel(name = "参数名称")
    private String paramName;

    /** 参数IP */
    @Excel(name = "参数IP")
    private String paramIp;

    /** 参数地址 */
    @Excel(name = "参数地址")
    private String paramAddress;

    /** 参数类型 */
    @Excel(name = "参数类型")
    private String paramType;

    /** 读取频率（S） */
    @Excel(name = "读取频率", readConverterExp = "S=")
    private Long readFrequency;

    /** 是否标识：1-是；2-否 */
    @Excel(name = "是否标识：1-是；2-否")
    private Long isFlag;
    private String deviceName;

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public void setDeviceParamId(Long deviceParamId)
    {
        this.deviceParamId = deviceParamId;
    }

    public Long getDeviceParamId()
    {
        return deviceParamId;
    }
    public void setDeviceId(Long deviceId)
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId()
    {
        return deviceId;
    }
    public void setParamCode(String paramCode)
    {
        this.paramCode = paramCode;
    }

    public String getParamCode()
    {
        return paramCode;
    }
    public void setParamName(String paramName)
    {
        this.paramName = paramName;
    }

    public String getParamName()
    {
        return paramName;
    }
    public void setParamIp(String paramIp)
    {
        this.paramIp = paramIp;
    }

    public String getParamIp()
    {
        return paramIp;
    }
    public void setParamAddress(String paramAddress)
    {
        this.paramAddress = paramAddress;
    }

    public String getParamAddress()
    {
        return paramAddress;
    }
    public void setParamType(String paramType)
    {
        this.paramType = paramType;
    }

    public String getParamType()
    {
        return paramType;
    }
    public void setReadFrequency(Long readFrequency)
    {
        this.readFrequency = readFrequency;
    }

    public Long getReadFrequency()
    {
        return readFrequency;
    }
    public void setIsFlag(Long isFlag)
    {
        this.isFlag = isFlag;
    }

    public Long getIsFlag()
    {
        return isFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deviceParamId", getDeviceParamId())
            .append("deviceId", getDeviceId())
            .append("paramCode", getParamCode())
            .append("paramName", getParamName())
            .append("paramIp", getParamIp())
            .append("paramAddress", getParamAddress())
            .append("paramType", getParamType())
            .append("readFrequency", getReadFrequency())
            .append("isFlag", getIsFlag())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
